# ATP Safe Links Cleaner

This extension cleans up the display of links rewritten by Microsoft
Defender for Office 365 Advanced Threat Protection. Unlike many
similar extensions it does not change the links, but does ensure that
they are displayed in such a way that the original link is accessible.

The extension currently builds for Thunderbird and Firefox (it will
only affect links on office.com and office365.com).

* Links in plain text email are changed so the original link is
  displayed.

* A tooltip showing the original link is added to all rewritten links.

* The context menu for rewritten links has a "copy original link item".

* When responding to a message in Thunderbird, rewritten links are
  replaced by the original links.

## Known issues

* Since only the *display* is changed, links that have the URL as the
  link text will now have link text that differs from the link target.
  This may be picked up on this when you click a link and asks if you
  want to visit the original link or the safe link.

* When composing a message in Thunderbird the original links are
  restored. This process could potentially change text that isn't
  meant to be changed but looks almost like a valid safe link.
